package com.yihu.jw.restmodel.hospital.consult;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 
 * 医生诊室vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyDoctorClinicRoomVO", description = "医生诊室")
public class WlyyDoctorClinicRoomVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 医院CODE
	 */
	@ApiModelProperty(value = "医院CODE", example = "模块1")
    private String hospital;

    /**
	 * 医院名称
	 */
	@ApiModelProperty(value = "医院名称", example = "模块1")
    private String hospitalName;

    /**
	 * 科室CODE
	 */
	@ApiModelProperty(value = "科室CODE", example = "模块1")
    private String dept;

    /**
	 * 科室名称
	 */
	@ApiModelProperty(value = "科室名称", example = "模块1")
    private String deptName;

    /**
	 * 医生CODE
	 */
	@ApiModelProperty(value = "医生CODE", example = "模块1")
    private String doctor;

    /**
	 * 医生名称
	 */
	@ApiModelProperty(value = "医生名称", example = "模块1")
    private String doctorName;

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String clinicName;

    /**
	 * -1离线 0在线 1空闲 2接诊中
	 */
	@ApiModelProperty(value = "-1离线 0在线 1空闲 2接诊中", example = "模块1")
    private Integer clinicStatus;

    /**
	 * 日期 YYMMDD
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "日期 YYMMDD", example = "模块1")
    private Date date;

    /**
	 * 0删除 1有效
	 */
	@ApiModelProperty(value = "0删除 1有效", example = "模块1")
    private Integer status;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getClinicName() {
        return clinicName;
    }
    public void setClinicName(String clinicName) {
        this.clinicName = clinicName;
    }

    public Integer getClinicStatus() {
        return clinicStatus;
    }
    public void setClinicStatus(Integer clinicStatus) {
        this.clinicStatus = clinicStatus;
    }

    public Date getDate() {
        return date;
    }
    public void setDate(Date date) {
        this.date = date;
    }

    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }


}